window.onload = function() {
    const para = document.createElement("div");
    para.id = "MakiHelper";

    const title = document.createElement("h2");
    title.innerHTML = "$HelperTitle";
    title.setAttribute("class", "maki_helper_title");

    const description = document.createElement("p");
    description.innerHTML =  "$HelperDescription";
    description.setAttribute("class", "maki_helper_description");

    const mainButton = document.createElement("button");
    mainButton.innerHTML = "$HelperSettings";
    mainButton.setAttribute("class", "maki_helper_button");

    const closeButton = document.createElement("button");
    closeButton.innerHTML = "$HelperClose";
    closeButton.setAttribute("class", "maki_helper_close");

    mainButton.addEventListener('click', function () {
        Downloader.showSettings();
        removeElement('MakiHelper');
    });

    closeButton.addEventListener('click', function () {
        Downloader.hideHelperView();
        removeElement('MakiHelper');
    });

    para.appendChild(title);
    para.appendChild(description);
    para.appendChild(mainButton);
    para.appendChild(closeButton);

    document.getElementById("MComposer").appendChild(para);

    function removeElement(elementId) {
        const element = document.getElementById(elementId);
        element.parentNode.removeChild(element);
    }
};