window.onload = function() {
    const para = document.createElement("div");
    para.id = "MakiPlus";

    const image = document.createElement("img");
    image.setAttribute('id', 'headerImage');
    image.src = "https://api.sunshineapps.com.ua/Maki/plus/header_one.png";

    const title = document.createElement("h2");
    title.innerHTML = "$PlusTitle";
    title.setAttribute("class", "maki_helper_title");

    const description = document.createElement("p");
    description.innerHTML =  "$PlusDescription";
    description.setAttribute("class", "maki_helper_description");

    const mainButton = document.createElement("button");
    mainButton.innerHTML = "$PlusOpen";
    mainButton.setAttribute("class", "maki_helper_button");

    const closeButton = document.createElement("button");
    closeButton.innerHTML = "$PlusLater";
    closeButton.setAttribute("class", "maki_helper_close");

    mainButton.addEventListener('click', function () {
        Downloader.showMakiPlus();
        removeElement('MakiPlus');
    });

    closeButton.addEventListener('click', function () {
        Downloader.hidePlusView();
        removeElement('MakiPlus');
    });

	para.appendChild(image);
    para.appendChild(title);
    para.appendChild(description);
    para.appendChild(mainButton);
    para.appendChild(closeButton);

    document.getElementById("MComposer").appendChild(para);

    function removeElement(elementId) {
        const element = document.getElementById(elementId);
        element.parentNode.removeChild(element);
    }
};